/**********************************************************************/
/* @(#)08       1.8  src/kux/kux_upg.sql, kux, omunix_62fp1, 200903060753 8/5/07 09:11:31                                      */
/*                                                                    */
/* COMPONENT_NAME: kux                                                */
/*                                                                    */
/* FUNCTIONS:                                                         */
/*                                                                    */
/* Date: 8/5/07 09:11:31                                                      */
/*                                                                    */
/* Source: src/kux/kux_upg.sql, kux, omunix_62fp1, 200903060753                                                        */
/*                                                                    */
/* Revision: 1.8                                                      */
/*                                                                    */
/* ORIGINS:                                                           */
/*                                                                    */
/* $Id:                                                               */
/*                                                                    */
/**********************************************************************/
/* Licensed Materials - Property of IBM                               */
/* 5724-C04                                                           */
/*                                                                    */
/* Copyright IBM Corporation 2005.  All Rights Reserved.              */
/* US Government Users Restricted Rights - Use, duplication or        */
/* disclosure restricted by GSA ADP Schedule Contract with            */
/* IBM Corp                                                           */
/**********************************************************************/


UPDATE O4SRV.CCT
   SET CMD = "kill &Process.Process_ID",
       NAME = "Kux:KUX4376",
       DESC = "Kux:KUX4375"
   WHERE KEY = "0980429113753000";

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_CPU_Busy",
   "*AUTOSLT",
   "ux13",
   "",
   "*YES",
   "",
   'echo "CPU usage is still critical at &SMP_CPU.CPU_Busy
    percent even after runaway processes were killed"
    | mail -s "UNIX_CPU_Busy" userx',
   "",
   "0980427152512841",
   "",
   "",
   "ux394 *TRUE",
   "",
   "System_Command");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Disk_Space_Full",
   "*AUTOSLT",
   "ux164",
   "",
   "*YES",
   "",
   "compress &Disk.Mount_Point /*",
   "",
   "0980427125749342",
   "",
   "",
   "ux808 *CHOICE",
   "",
   "System_Command");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_CPU_Busy",
   "*AUTOSLT",
   "ux195",
   "",
   "*YES",
   "",
   'echo "process &Process.Process_ID is consumming
    high cpu usage at&Process.CPU_Utilization" |mail
    -s "UNIX_CPU_Busy" userx"',
   "",
   "0980427152513847",
   "",
   "",
   "ux830 *CHOICE",
   "",
   "System_Command");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Disk_Space_Full",
   "*AUTOSLT",
   "ux224",
   "",
   "*YES",
   "",
   'echo "disk space at &Disk.Mount_Point is full
    at &Disk.Space_Used_Percent percent" | mail -s
    "UNIX_Disk_Space_Full" userx',
   "",
   "0980427140856695",
   "",
   "",
   "ux808 *TIMEOUT",
   "",
   "System_Command");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_CPU_Busy",
   "*AUTOSLT",
   "ux318",
   "",
   "*YES",
   "",
   'echo "Failed to kill process &Process.Process_ID
    which is using high cpu at &Process.CPU_Utilization
    CPU utilization" | mail -s "UNIX_CPU_Busy" userx',
   "",
   "0980427152508828",
   "",
   "",
   "ux91 *FAILURE",
   "",
   "System_Command");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Virtual_Memory_High",
   "*AUTOSLT",
   "ux445",
   "",
   "*YES",
   "",
   'echo "Failed to kill process &Process.Process_ID"
    | mail -s ""UNIX_Virtual_Memory_High" userx',
   "",
   "0980427141814335",
   "",
   "",
   "ux625 *FAILURE",
   "",
   "System_Command");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Disk_Space_Full",
   "*AUTOSLT",
   "ux540",
   "",
   "*YES",
   "",
   "rm &Disk.Mount_Point /*",
   "",
   "0980427125750348",
   "",
   "",
   "ux808 *CHOICE",
   "",
   "System_Command");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Virtual_Memory_High",
   "*AUTOSLT",
   "ux608",
   "",
   "*YES",
   "",
   'echo "Virtual memory usage is still high after
    processes with memoryleak were killed" | mail
    -s "UNIX_Virtual_Memory_High" userx',
   "",
   "0980427130645038",
   "",
   "",
   "ux387 *FAILURE",
   "",
   "System_Command");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Virtual_Memory_High",
   "*AUTOSLT",
   "ux625",
   "",
   "*NO",
   "",
   "kill &Process.Process_ID",
   "",
   "0980427130131583",
   "",
   "",
   "ux560 *TRUE",
   "",
   "System_Command");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_CPU_Busy",
   "*AUTOSLT",
   "ux91",
   "",
   "*YES",
   "",
   "kill &Process.Process_ID",
   "",
   "0980427152511835",
   "",
   "",
   "ux830 *CHOICE",
   "",
   "System_Command");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Disk_Space_Full",
   "*WRKL *ALLUSERS *ALLUSERS 300",
   "ux808",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427140850684",
   "",
   "",
   "ux76 *TRUE",
   "",
   "User_Choice");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_CPU_Busy",
   "*WRKL *ALLUSERS *ALLUSERS 300",
   "ux830",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427152512837",
   "",
   "",
   "ux741 *TRUE",
   "",
   "User_Choice");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Virtual_Memory_High",
   "300",
   "ux32",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427132614002",
   "",
   "",
   "ux625 *SUCCESS",
   "",
   "Wait");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_CPU_Busy",
   "300",
   "ux485",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427152511833",
   "",
   "",
   "ux91 *SUCCESS",
   "",
   "Wait");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Disk_Space_Full",
   "UNIX_CMD_Disk_Space_Warning",
   "ux763",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427125750346",
   "",
   "",
   "*FIRST *ALWAYS",
   "",
   "*WAIT_ON_SITUATION");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_CPU_Busy",
   "UNIX_CMD_Runaway_Process",
   "ux741",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427152512843",
   "",
   "",
   "ux515 *SUCCESS",
   "",
   "Evaluate_Situation");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_CPU_Busy",
   "UNIX_CPU_Busy_Critical",
   "ux394",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427152512839",
   "",
   "",
   "ux485 *ALWAYS",
   "",
   "Evaluate_Situation");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_CPU_Busy",
   "UNIX_CPU_Busy_Critical",
   "ux515",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427152513845",
   "",
   "",
   "*FIRST *ALWAYS",
   "",
   "*WAIT_ON_SITUATION");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Virtual_Memory_High",
   "UNIX_Process_Memory_Leak",
   "ux560",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427131551571",
   "",
   "",
   "ux592 *SUCCESS",
   "",
   "Evaluate_Situation");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Virtual_Memory_High",
   "UNIX_Virtual_Memory_Warning",
   "ux387",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427130645036",
   "",
   "",
   "ux32 *ALWAYS",
   "",
   "Evaluate_Situation");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Virtual_Memory_High",
   "UNIX_Virtual_Memory_Warning",
   "ux592",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427130130579",
   "",
   "",
   "*FIRST *ALWAYS",
   "",
   "*WAIT_ON_SITUATION");

INSERT INTO O4SRV.TACTYPCY (
   PCYNAME,
   ACTINFO,
   ACTNAME,
   ATTRIBUTES,
   AUTOSOPT,
   CCTKEY,
   CMD,
   LOCFLAG,
   LSTDATE,
   NOCOL1,
   NOCOL,
   PREDSPECS,
   SOURCE,
   TYPESTR)
VALUES (
   "UNIX_Disk_Space_Full",
   "UNIX_scratch_tmp_Disk_Full",
   "ux76",
   "",
   "*NO",
   "",
   "",
   "",
   "0980427140855692",
   "",
   "",
   "ux763 *SUCCESS",
   "",
   "Evaluate_Situation");

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Active_Virtual_Memory";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_CMD_Disk_Inodes_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_CMD_Disk_Space_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_CMD_Process_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_CMD_Runaway_Process";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_CPU_Busy_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_CPU_Busy_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_CPU_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_CPU_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Disk_Availability";

INSERT INTO O4SRV.TOBJACCL (
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NODEL,
   OBJCLASS)
VALUES (
   "UNIX_Filemount_Critical",
   "Y",
   "0960923085142000",
   "",
   "IBM",
   "*ALL_UNIX",
   "5140");

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Filemount_Critical";

INSERT INTO O4SRV.TOBJACCL (
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NODEL,
   OBJCLASS)
VALUES (
   "UNIX_HD_Config_Critical",
   "Y",
   "0960923085142000",
   "",
   "IBM",
   "*ALL_UNIX",
   "5140");

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_HD_Config_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_HD_Excessive_IO_Wait";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Network_Collsns_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Network_Collsns_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Network_Errors";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Network_Interface_Busy";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Network_Interface_Idle";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_System_Busy_Critical";

INSERT INTO O4SRV.TOBJACCL (
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NODEL,
   OBJCLASS)
VALUES (
   "UNIX_System_Busy_Warning",
   "Y",
   "0960923085142000",
   "",
   "IBM",
   "*ALL_UNIX",
   "5140");

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_System_Busy_Warning";

INSERT INTO O4SRV.TOBJACCL (
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NODEL,
   OBJCLASS)
VALUES (
   "UNIX_System_Capacity_Critical",
   "Y",
   "0960923085142000",
   "",
   "IBM",
   "*ALL_UNIX",
   "5140");

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_System_Capacity_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_System_Paging_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_User_CPU_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_User_File_Exists";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Virtual_Memory_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_NFS_RPC_Rejects";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Process_Memory_Critical";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Process_Memory_Warning";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Process_MISSING_inetd";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_Process_Memory_Leak";

UPDATE O4SRV.TOBJACCL
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM"
   WHERE NODEL = "*ALL_UNIX"
      AND OBJCLASS = "5140"
      AND OBJNAME = "UNIX_scratch_tmp_Disk_Full";

INSERT INTO O4SRV.TPCYDESC (
   PCYNAME,
   AFFINITIES,
   AUTOSTART,
   COMPOPT,
   HNOCOL,
   HUB,
   LMTRESTART,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PCYOPT,
   QIBSCOPE,
   SOURCE,
   TEXT)
VALUES (
   "UNIX_CPU_Busy",
   "00f20000000000000000000000000000##000000000",
   "*NO",
   "*YES",
   "",
   "",
   "*NO",
   "",
   "",
   "1050504133554000",
   "",
   "IBM",
   "",
   "YN",
   "E",
   "",
   "Kux:KUX3740");

UPDATE O4SRV.TPCYDESC
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       TEXT = "Kux:KUX3740"
   WHERE PCYNAME = "UNIX_CPU_Busy";

INSERT INTO O4SRV.TPCYDESC (
   PCYNAME,
   AFFINITIES,
   AUTOSTART,
   COMPOPT,
   HNOCOL,
   HUB,
   LMTRESTART,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PCYOPT,
   QIBSCOPE,
   SOURCE,
   TEXT)
VALUES (
   "UNIX_Disk_Space_Full",
   "00f20000000000000000000000000000##000000000",
   "*NO",
   "*YES",
   "",
   "",
   "*NO",
   "",
   "",
   "1050504133555000",
   "",
   "IBM",
   "",
   "YY",
   "E",
   "",
   "Kux:KUX3741");

UPDATE O4SRV.TPCYDESC
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       TEXT = "Kux:KUX3741"
   WHERE PCYNAME = "UNIX_Disk_Space_Full";

INSERT INTO O4SRV.TPCYDESC (
   PCYNAME,
   AFFINITIES,
   AUTOSTART,
   COMPOPT,
   HNOCOL,
   HUB,
   LMTRESTART,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PCYOPT,
   QIBSCOPE,
   SOURCE,
   TEXT)
VALUES (
   "UNIX_Virtual_Memory_High",
   "00f20000000000000000000000000000#*000000000",
   "*NO",
   "*YES",
   "",
   "",
   "*NO",
   "",
   "",
   "1050504133555000",
   "",
   "IBM",
   "",
   "YN",
   "E",
   "",
   "Kux:KUX3742");

UPDATE O4SRV.TPCYDESC
   SET LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       TEXT = "Kux:KUX3742"
   WHERE PCYNAME = "UNIX_Virtual_Memory_High";

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00f20000000000000000000000000000##000000000",
   "",
   "*SYN",
   "",
   "65535",
   "0961017101000000",
   "V120",
   "IBM",
   "",
   "*IF *VALUE System.User_CPU *GT 30",
   "I",
   "00",
   "000300",
   "",
   "UADVISOR_OMUNX_SP2OS",
   "Kux:KUX4372",
   "NN",
   "",
   "",
   "*NONE"
  );

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "",
       TEXT = "Kux:KUX4372"
   WHERE SITNAME = "UADVISOR_OMUNX_SP2OS";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Kux:KUX3707"
   WHERE SITNAME = "UNIX_Active_Virtual_Memory";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Kux:KUX3708"
   WHERE SITNAME = "UNIX_CMD_Disk_Inodes_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Kux:KUX3709"
   WHERE SITNAME = "UNIX_CMD_Disk_Space_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=UNIXPS.PID",
       TEXT = "Kux:KUX3712"
   WHERE SITNAME = "UNIX_CMD_Process_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Kux:KUX3713"
   WHERE SITNAME = "UNIX_CMD_Runaway_Process";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=UNIXCPU.CPUID",
       TEXT = "Kux:KUX3714"
   WHERE SITNAME = "UNIX_CPU_Busy_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=UNIXCPU.CPUID",
       TEXT = "Kux:KUX3715"
   WHERE SITNAME = "UNIX_CPU_Busy_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=UNIXPS.PID",
       TEXT = "Kux:KUX3716"
   WHERE SITNAME = "UNIX_CPU_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=UNIXPS.PID",
       TEXT = "Kux:KUX3717"
   WHERE SITNAME = "UNIX_CPU_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=UNIXDISK.DSKNAME",
       TEXT = "Kux:KUX3718"
   WHERE SITNAME = "UNIX_Disk_Availability";

INSERT INTO O4SRV.TSITDESC (
   SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT)
VALUES (
   "UNIX_Filemount_Critical",
   "",
   "00f2000000000000000000000000000000000000000",
   "*NO",
   "NN",
   "*NO",
   "*NONE",
   "",
   "",
   "1050504133529000",
   "",
   "IBM",
   "",
   "*IF *SCAN Disk.System_Name *EQ redwood 
   *AND *SCAN Disk.Mount_Point *EQ /usr",
   "E",
   "0",
   "000200",
   "*NONE",
   "SEV=Critical;ATOM=UNIXDISK.DSKNAME",
   "Kux:KUX3719");

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=UNIXDISK.DSKNAME",
       TEXT = "Kux:KUX3719"
   WHERE SITNAME = "UNIX_Filemount_Critical";

INSERT INTO O4SRV.TSITDESC (
   SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT)
VALUES (
   "UNIX_HD_Config_Critical",
   'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
   "00f2000000000000000000000000000000000000000",
   "*NO",
   "NN",
   "*NO",
   "*NONE",
   "",
   "",
   "1050504133529000",
   "",
   "IBM",
   "",
   "*IF *VALUE Disk.Inodes_Free *LT 100 
   *OR *VALUE Disk.Space_Used_Percent *GT 90",
   "E",
   "0",
   "000200",
   "*NONE",
   "SEV=Critical;ATOM=UNIXDISK.DSKNAME",
   "Kux:KUX3720");

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=UNIXDISK.DSKNAME",
       TEXT = "Kux:KUX3720"
   WHERE SITNAME = "UNIX_HD_Config_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Kux:KUX3721"
   WHERE SITNAME = "UNIX_HD_Excessive_IO_Wait";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Kux:KUX3722"
   WHERE SITNAME = "UNIX_NFS_RPC_Rejects";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=UNIXNET.FNAME",
       TEXT = "Kux:KUX3723"
   WHERE SITNAME = "UNIX_Network_Collsns_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=UNIXNET.FNAME",
       TEXT = "Kux:KUX3724"
   WHERE SITNAME = "UNIX_Network_Collsns_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=UNIXNET.FNAME",
       TEXT = "Kux:KUX3725"
   WHERE SITNAME = "UNIX_Network_Errors";

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=UNIXNET.FNAME",
       TEXT = "Kux:KUX3726"
   WHERE SITNAME = "UNIX_Network_Interface_Busy";

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=UNIXNET.FNAME",
       TEXT = "Kux:KUX3727"
   WHERE SITNAME = "UNIX_Network_Interface_Idle";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Kux:KUX3728"
   WHERE SITNAME = "UNIX_Process_MISSING_inetd";

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=UNIXPS.PID",
       TEXT = "Kux:KUX3729"
   WHERE SITNAME = "UNIX_Process_Memory_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical;ATOM=UNIXPS.PID",
       TEXT = "Kux:KUX3730"
   WHERE SITNAME = "UNIX_Process_Memory_Leak";

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning;ATOM=UNIXPS.PID",
       TEXT = "Kux:KUX3731"
   WHERE SITNAME = "UNIX_Process_Memory_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Kux:KUX3732"
   WHERE SITNAME = "UNIX_System_Busy_Critical";

INSERT INTO O4SRV.TSITDESC (
   SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT)
VALUES (
   "UNIX_System_Busy_Warning",
   'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
   "00f2000000000000000000000000000000000000000",
   "*NO",
   "NN",
   "*YES",
   "*NONE",
   "",
   "",
   "1050504133529000",
   "",
   "IBM",
   "",
   "*IF *VALUE System.System_CPU *GT 50 
   *AND *VALUE System.Idle_CPU *GT 0 
   *AND *VALUE System.Wait_I/O *GT 0 
   *AND *VALUE System.Load_Average_5_Min *GT 1",
   "E",
   "0",
   "000200",
   "*NONE",
   "SEV=Warning",
   "Kux:KUX3733");

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Kux:KUX3733"
   WHERE SITNAME = "UNIX_System_Busy_Warning";

INSERT INTO O4SRV.TSITDESC (
   SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT)
VALUES (
   "UNIX_System_Capacity_Critical",
   'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
   "00f2000000000000000000000000000000000000000",
   "*NO",
   "NN",
   "*NO",
   "*NONE",
   "",
   "",
   "1050504133530000",
   "",
   "IBM",
   "",
   "*IF *VALUE System.System_Procs_Number *GE 250 
   *AND *VALUE System.System_CPU *GT 80",
   "E",
   "0",
   "000200",
   "*NONE",
   "SEV=Critical",
   "Kux:KUX3734");

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Kux:KUX3734"
   WHERE SITNAME = "UNIX_System_Capacity_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Kux:KUX3735"
   WHERE SITNAME = "UNIX_System_Paging_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Kux:KUX3736"
   WHERE SITNAME = "UNIX_User_CPU_Critical";

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Kux:KUX3737"
   WHERE SITNAME = "UNIX_User_File_Exists";

UPDATE O4SRV.TSITDESC
   SET ADVISE = 'ADVICE("kux:"+$ISITSTSH.SITNAME$);',
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Warning",
       TEXT = "Kux:KUX3738"
   WHERE SITNAME = "UNIX_Virtual_Memory_Warning";

UPDATE O4SRV.TSITDESC
   SET ADVISE = "",
       LSTRELEASE = "",
       LSTUSRPRF = "IBM",
       SITINFO = "SEV=Critical",
       TEXT = "Kux:KUX3739"
   WHERE SITNAME = "UNIX_scratch_tmp_Disk_Full";


/* these are from ITM 6.10 */

/* SP2OS Virtual Table was forgotten in 6.10 GA. Added
   back in for 6.10 Fix Pack 1
*/
/* SITDB */
INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE  )
VALUES
  ("OMUNX.SP2OS",
'SELECT ORIGINNODE,SAMPLENO,ROWNO,TIMESTAMP,SYSTEMTYPE,SYSTEMVERS,
TOTREALMEM,TOTVIRTMEM,SYSUPTIME,NOUSRSESS,NOSYSPROCS,NETADDR,UNIXUSRCPU
,UNIXSYSCPU,UNIXIDLCPU,UNIXWAITIO,VMINRUNQ,VMINPGWAIT,VMPGFAULTS,
VMPGRCLM,VMPGIN,VMPGOUT,VMPGSIN,VMPGSOUT,VMFREEMEM,VMFREESWAP,PSWITCH,
SYSCALL,SYSFORK,SYSEXEC,BREAD,BWRITE,LREAD,LWRITE,PHREAD,PHWRITE,RCVINT
,XMTINT,MDMINT,NETCONNECT,NETSOCKET,NETLOAD1,NETLOAD2,NETLOAD3,MEMFREE,
MEMUSED,VMSCAN,VMUSEDPRC,VMFREEPRC,CPUBUSY,SYSREAD,SYSWRITE,NSYSTHRD,
PRUNABLE,PRUNNING,PSLEEPING,PIDLE,PZOMBIE,PSTOPPED,THRDRUNQ,THRDWAIT,
BOOTTIME,PENDIOWT,STARTIO,DEVINT,UPTIME,ZATTRIB,ZVALUE,SWAPFREE,PGINRATE
,PGOUTRATE,PGSCANRATE,AVPGINS1,AVPGINS5,AVPGINS15,AVPGINS60,AVPGOUT1,
AVPGOUT5,AVPGOUT15,AVPGOUT60,AVPGSCAN1,AVPGSCAN5,AVPGSCAN15,AVPGSCAN60
,AVPRRUNQ60 FROM OMUNX.UNIXOS WHERE SYSTEM.PARMA("NODELIST","*ALL",4)'
  );



/* Delete FILEINFO historical data collection SQL.           */
/* The FILEINFO table was removed from historical collection */
/* In the ITM 6.1 FP2 time frame.                            */
DELETE FROM O4SRV.TOBJACCL 
WHERE SYSTEM.PARMA("QIBUSER","SYSADMIN",8) AND 
SYSTEM.PARMA("QIBCLASSID","5535",4) 
AND OBJCLASS = "5140" 
AND OBJNAME = "UADVISOR_OMUNX_FILEINFO";

DELETE FROM O4SRV.TSITDESC 
WHERE SYSTEM.PARMA("QIBUSER","SYSADMIN",8) AND 
SYSTEM.PARMA("QIBCLASSID","5140",4) 
AND (SITNAME = "UADVISOR_OMUNX_FILEINFO");
  
